export const config = {
	"name": "The Artificer", // Name of the bot
	"version": "1.4.2", // Version of the bot
	"token": "the_bot_token", // Discord API Token for this bot
	"localtoken": "local_testing_token", // Discord API Token for a secondary OPTIONAL testing bot, THIS MUST BE DIFFERENT FROM "token"
	"prefix": "[[", // Prefix for all commands
	"postfix": "]]", // Postfix for rolling command
	"api": { // Setting for the built-in API
		"enable": false, // Leave this off if you have no intention of using this/supporting it
		"port": 8080, // Port for the API to listen on
		"supportURL": "your_support_url_for_api_abuse", // Fill this in with the way you wish to be contacted when somebody needs to report API key abuse
		"rateLimitTime": 10000, // Time range for how often the API rate limits will be lifted (time in ms)
		"rateLimitCnt": 10, // Amount of requests that can be made (successful or not) during above time range before getting rate limited
		"admin": 0n, // Discord user ID of the bot admin, this user will be the user that can ban/unban user/channel combos and API keys
		"adminKey": "your_25char_api_token", // API Key generated by nanoid that is 25 char long, this gets pre-populated into all_keys
		"email": "" // Temporary set up for email, this will be adjusted to an actual email using deno-smtp in the future.
	},
	"db": { // Settings for the MySQL database, this is required for use with the API, if you do not want to set this up, you will need to rip all code relating to the DB out of the bot
		"host": "", // IP address for the db, usually localhost
		"localhost": "", // IP address for a secondary OPTIONAL local testing DB, usually also is localhost, but depends on your dev environment
		"port": 3306, // Port for the db
		"username": "", // Username for the account that will access your DB, this account will need "DB Manager" admin rights and "REFERENCES" Global Privalages
		"password": "", // Password for the account, user account may need to be authenticated with the "Standard" Authentication Type if this does not work out of the box
		"name": "" // Name of the database Schema to use for the bot
	},
	"logRolls": false, // Enables logging of roll commands, this should be left disabled for privacy, but exists to allow verification of rolls before deployment, all API rolls will always be logged no matter what this is set to
	"logChannel": "the_log_channel", // Discord channel ID where the bot should put startup messages and other error messages needed
	"reportChannel": "the_report_channel", // Discord channel ID where reports will be sent when using the built-in report command
	"devServer": "the_dev_server", // Discord guild ID where testing of indev features/commands will be handled, used in conjuction with the DEVMODE bool in mod.ts
	"emojis": [ // Array of objects containing all emojis that the bot can send on your behalf, empty this array if you don't want any of them
		{ // Emoji object, duplicate for each emoji
			"name": "popcat", // Name of emoji in discord
			"aliases": ["popcat", "pop", "p"], // Commands that will activate this emoji
			"id": "796340018377523221", // Discord emoji ID for this emoji
			"animated": true, // Tells the bot this emoji is animated so it sends correctly
			"deleteSender": true // Tells the bot to attempt to delete the sender's message after sending the emoji
		}
	]
};

export default config;
